be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDTRANSACTIONTYPEvalues

- java.lang.Object
- - java.lang.Enum<CDTRANSACTIONTYPEvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDTRANSACTIONTYPEvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDTRANSACTIONTYPEvalues>

      public enum CDTRANSACTIONTYPEvalues
      extends Enum<CDTRANSACTIONTYPEvalues>

  Java class for CD-TRANSACTION-TYPEvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-TRANSACTION-TYPEvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="incapacity"/>
           <enumeration value="incapacityextension"/>
           <enumeration value="incapacityrelapse"/>
           <enumeration value="nursing"/>
           <enumeration value="physiotherapy"/>
           <enumeration value="intermediarynursing"/>
           <enumeration value="intermediaryphysiotherapy"/>
           <enumeration value="transferdocument"/>
           <enumeration value="childrecord"/>
           <enumeration value="adanormal"/>
           <enumeration value="adaextension"/>
           <enumeration value="adarelapse"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADAEXTENSION`
    `ADANORMAL`
    `ADARELAPSE`
    `CHILDRECORD`
    `INCAPACITY`
    `INCAPACITYEXTENSION`
    `INCAPACITYRELAPSE`
    `INTERMEDIARYNURSING`
    `INTERMEDIARYPHYSIOTHERAPY`
    `NURSING`
    `PHYSIOTHERAPY`
    `TRANSFERDOCUMENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDTRANSACTIONTYPEvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDTRANSACTIONTYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDTRANSACTIONTYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INCAPACITY

          public static final CDTRANSACTIONTYPEvalues INCAPACITY

    - #### INCAPACITYEXTENSION

          public static final CDTRANSACTIONTYPEvalues INCAPACITYEXTENSION

    - #### INCAPACITYRELAPSE

          public static final CDTRANSACTIONTYPEvalues INCAPACITYRELAPSE

    - #### NURSING

          public static final CDTRANSACTIONTYPEvalues NURSING

    - #### PHYSIOTHERAPY

          public static final CDTRANSACTIONTYPEvalues PHYSIOTHERAPY

    - #### INTERMEDIARYNURSING

          public static final CDTRANSACTIONTYPEvalues INTERMEDIARYNURSING

    - #### INTERMEDIARYPHYSIOTHERAPY

          public static final CDTRANSACTIONTYPEvalues INTERMEDIARYPHYSIOTHERAPY

    - #### TRANSFERDOCUMENT

          public static final CDTRANSACTIONTYPEvalues TRANSFERDOCUMENT

    - #### CHILDRECORD

          public static final CDTRANSACTIONTYPEvalues CHILDRECORD

    - #### ADANORMAL

          public static final CDTRANSACTIONTYPEvalues ADANORMAL

    - #### ADAEXTENSION

          public static final CDTRANSACTIONTYPEvalues ADAEXTENSION

    - #### ADARELAPSE

          public static final CDTRANSACTIONTYPEvalues ADARELAPSE

  - ### Method Detail

    - #### values

          public static CDTRANSACTIONTYPEvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDTRANSACTIONTYPEvalues c : CDTRANSACTIONTYPEvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDTRANSACTIONTYPEvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDTRANSACTIONTYPEvalues fromValue(String v)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.